Subject: Inline/IRRE records: language field of child records is not updated when modifying parent language field -
e.g. problematic for sys_file_reference

Description

When | have IRRE records and | modify the language field, e.g. to set it from "0" to "-1" the child records are not updated to that
language field but are kept at the ones during creation.

Except "-1" that one never seems to be used.

This can be problematic under certain circumstances, e.g. extbase will not deliver the file anymore via the datamapper as the
language of the sys_file_reference is not included.

Related issues:
Under Review 2014-03-25
Needs Feedbacd014-06-20

related to Core - Bug # 57272: Extbase doesn't handle FAL translations correctly
related to Core - Bug # 59734: Translating a CE containing inline elements do...

History

#1 - 2014-11-20 10:00 - Andreas Allacher

This might be related to some others but the others do not exactly describe this behaviour but might be a result of this.

To auto-change this field might only be interesting under certain circumstances, e.g. if hideTable is active and the language field is not visible (hidden

palette).

#2 - 2014-11-25 08:45 - Andreas Allacher

It is even worse when creating a new record, e.g. | create a content element and change the language to non default, the sub-records (e.g. case

images) will not have the selected language but the default value (if available, otherwise it has the first available value).

#3 - 2014-11-25 09:24 - Andreas Allacher

Also if the parent record is set to all language (-1) it the child record will be set to default language, even if the child record is a new record and the

parent record is already existed because the select is like this:

if ($parentRecord[$parentLanguageField] > 0) {

$record[$childLanguageField] = $parentRecord[$parentLanguageField];

}

#4 - 2015-02-16 22:27 - Andreas Allacher

Just wanted to ask if | need to provide additional information or has there already be something done in regards to this?
#5 - 2015-07-10 11:52 - Jo Hasenau

- Target version set to next-patchlevel

Just came across that issue while looking for a solution of sorting problems in translated records.

IMHO a parent record with a language set to "all" should be allowed to contain elements with all available language settings. So switching the children

to "all" as well would be unexpected at least for my personal taste.

In any other case children should of course be switched to the selected language, since otherwise they will just diseappear in BE and/or FE views.

#6 - 2015-07-10 13:50 - Andreas Allacher

So you mean the possibility to have the container for all languages but the sub elements for certain languages only?

That might already be an issue in how to display it in the page view.
In any case, even if we allow this, the default setting should still be "-1" for child records and it should at least be possible to create those and not set
default to 0

Even if someone were to change thme later on.

Also most users don't have access to the language selector for a record directly, so they can not really select the language here at all.
